API

Retrieve aggregated ad performance data

Retrieves aggregated impression/click/spend metrics from AdEvents for a company over a date window, optionally narrowed to one campaign.

GET/v1/hq/companies/{company_id}/aggregate/ad_performance

Authorization

BearerTokenAuth

AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

company_id*string

Company ID

Query Parameters

filter*
select?array<string>
expand?array<string>

Response Body

application/json

curl -X GET "https://api.noona.is/v1/hq/companies/string/aggregate/ad_performance?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&campaign_id=string&granularity=day"
{
  "from": "2019-08-24T14:15:22Z",
  "to": "2019-08-24T14:15:22Z",
  "totals": {
    "impressions": 0,
    "clicks": 0,
    "spend": {
      "amount": 0.1,
      "currency": "string"
    }
  },
  "campaigns": [
    {
      "campaign_id": "string",
      "name": "string",
      "impressions": 0,
      "clicks": 0,
      "spend": {
        "amount": 0.1,
        "currency": "string"
      }
    }
  ],
  "series": [
    {
      "bucket_at": "2019-08-24T14:15:22Z",
      "impressions": 0,
      "clicks": 0,
      "spend": {
        "amount": 0.1,
        "currency": "string"
      }
    }
  ]
}
Empty
Empty
Empty
Empty
Empty